Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.edit.internal.swt.util
Class DefaultRenderingResultFactory

    java.lang.Object
      org.eclipse.emf.ecp.edit.internal.swt.util.DefaultRenderingResultFactory

All Implemented Interfaces:
  RenderingResultRowFactory<org.eclipse.swt.widgets.Control>

Deprecated.

    @Deprecated
    public final class DefaultRenderingResultFactory

extends Object
implements RenderingResultRowFactory<org.eclipse.swt.widgets.Control>

Author:
  Eugen Neufeld

Constructor Summary
`DefaultRenderingResultFactory()` Deprecated.

Method Summary
`RenderingResultRow<org.eclipse.swt.widgets.Control>` | `createRenderingResultRow(org.eclipse.swt.widgets.Control... controls)` Deprecated. Creates a `RenderingResultRow` from a list of controls.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultRenderingResultFactory

    public DefaultRenderingResultFactory()

  Deprecated.

Method Detail

### createRenderingResultRow

    public RenderingResultRow<org.eclipse.swt.widgets.Control> createRenderingResultRow(org.eclipse.swt.widgets.Control... controls)

  Deprecated.
  Creates a `RenderingResultRow` from a list of controls. If the Factory can't handle the provided amount of controls it must throw an `IllegalArgumentException`.

  Specified by:
    `createRenderingResultRow` in interface `RenderingResultRowFactory<org.eclipse.swt.widgets.Control>`
  Parameters:
    `controls` - a list of Controls to put into one row
  Returns:
    a `RenderingResultRow` or throws a `IllegalArgumentException`
  See Also:
    `org.eclipse.emf.ecp.view.spi.renderer.RenderingResultRowFactory#createRenderingResultRow(org.eclipse.swt.widgets.Control[])`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.